
CoCoALib - Design #1630

Signal handler not portable?

10 Nov 2021 20:12 - John Abbott

Status: New Start date: 10 Nov 2021

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Portability Estimated time: 0.00 hour

Target version: CoCoALib-0.99900 Spent time: 0.00 hour

Description

Bruns reported by email that CoCoALib does not compile on an "msys" platform because sigaction is absent.

Investigate: either resolve, or permit CoCoALib to be compiled with a "null" sigaction.

Related issues:

Related to CoCoALib - Bug #1661: Microsoft: cannot compile with signal handling Closed 09 Feb 2022

History

#1 - 15 Feb 2024 22:42 - John Abbott

- Related to Bug #1661: Microsoft: cannot compile with signal handling added

#2 - 15 Feb 2024 22:42 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99900
